首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Distributions
Ubuntu
Fedora
CentOS
中文资源站
网易开源镜像站
V2EX  ›  Linux

archlinux 下 chrome 无法观看优酷等视频网站

  •  
  •   dryadent · 2017-02-03 17:28:02 +08:00 · 2759 次点击
    这是一个创建于 986 天前的主题,其中的信息可能已经有所发展或是发生改变。

    页面显示为“ adobe flash player is out of date ”, firefox 下给的错误就是时间不对,无法观看. 我觉得是时间问题,现在时钟是 utc 的,和 flashplayer 获取的差了八个小时,有人遇到过这种情况么?

    20 回复  |  直到 2017-02-04 16:27:19 +08:00
        1
    cos   2017-02-03 18:14:52 +08:00
    adobe flash player is out of date ?这句话的字面意思,应该是说 flash 插件过期了吧?版本太旧?我的桌面也是 linux ,浏览器用的是 Google Chrome 56.0.2924.87/Flash 24.0.0.194 ,没遇到你说的问题。。。
        2
    loddit   2017-02-03 18:20:29 +08:00
    有参考这里配置 flash 插件吗? https://wiki.archlinux.org/index.php/browser_plugins
        3
    tedzhou1221   2017-02-03 18:34:33 +08:00 via iPhone
    是不是系统时间与当地时间的问题?
        4
    vimsucks   2017-02-03 18:35:25 +08:00 via Android
    chrome://components 里面更新一下 flash
        5
    skydiver   2017-02-03 18:44:06 +08:00 via Android
    点一下就问你是否启用,启用就行了
        6
    dryadent   2017-02-03 18:49:36 +08:00
    @tedzhou1221 我感觉是这个问题
        7
    dryadent   2017-02-03 19:19:47 +08:00
    @cos 我在 Fedora 中也没有遇到,每次装了 arch 都有这个问题,我觉得是我配置的问题,但是找了一下有没有合适的解决方案
        8
    expy   2017-02-03 19:40:23 +08:00
    更新+1 ,好像需要全局代理。
        9
    messyidea   2017-02-03 20:26:40 +08:00 via Android
    chrome 的 flash 是内置的吧。装一下 archlinuxcn 源里面最新的 chrome 就好了
        10
    chenxytw   2017-02-03 21:34:49 +08:00
    你装的是 官方仓库的 flushplugin 还是 aur 的 pepper-flash 插件?如果是前者,我记得 chromium 已经不支持这个版本了 Orz
        11
    dryadent   2017-02-03 23:02:05 +08:00
    @messyidea arch 新装的肯定是最新的,而且 Chrome 也开启了
        12
    vlize   2017-02-03 23:19:51 +08:00 via Android   ♥ 1
    我也遇到过,有两个方法:
    1 、安装 pepper-flash
    https://aur.archlinux.org/packages/pepper-flash/
    2 、下载 adobe flash 官方.tar.gz 格式的安装包,然后手动改命令行启动 chrome ,参考 http://askubuntu.com/questions/799832/how-to-install-tar-gz-files-which-dont-have-config-file

    希望能帮到你
        13
    WispZhan   2017-02-03 23:27:06 +08:00   ♥ 1
    命令行通过参数设置代理参数启动 chrome ,然后进入 chrome://components 更新 Flash.

    Chrome 的 components 更新并不会走 switchyOmega 之类的代理管理插件,而是默认无代理连接。
        14
    WispZhan   2017-02-03 23:30:56 +08:00   ♥ 1
    @WispZhan 补充一下,具体代理设置方式时: chrome --proxy-server="proxy_address:port"
        15
    Hello1995   2017-02-03 23:38:07 +08:00 via Android
    如果不用 Flash ,可以使用 you-get 和 mpv 。
    yaourt -S you-get-git
    yaourt -S mpv
    you-get -p mpv "http://www.youku.com/...."
        16
    Neveroldmilk   2017-02-04 08:55:46 +08:00
    @Hello1995 yaourt 不是默认包,需要手动装才有的。
        17
    stawidy   2017-02-04 12:34:45 +08:00 via Android   ♥ 1
    现在 chrome 的包已经默认不包含 flash ,每次都要手动更新,我已经用 chromium+pepper-flash 去了。
        18
    dryadent   2017-02-04 16:08:19 +08:00
    @stawidy 我现在使用的是您这个方案了,很棒
        19
    xjmroot   2017-02-04 16:14:54 +08:00
    我用的 deepin linux ,用的感觉还好,视频音频都行
        20
    liuyanjun0826   2017-02-04 16:27:19 +08:00
    firefox 开源支持 flash
    pacman -S flashplugin firefox
    google chrome 在国内不好用
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3306 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 44ms · UTC 10:21 · PVG 18:21 · LAX 03:21 · JFK 06:21
    ♥ Do have faith in what you're doing.